Subject: Re: bug#54117: 28.0.91; Upgrading packages not working

From: Dmitry Gutov <[email-masked]>
Date: Mon, 25 Apr 2022 14:33:30 +0300

On 13.04.2022 10:19, Po Lu via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> I got around to looking at this: every package installed is labeled as
> "external" instead of "installed".  Since I don't know what the
> difference between the two is

        ;; Not inside `package-user-dir'.
        ((not (file-in-directory-p dir package-user-dir)) "external")

Perhaps you customize package-user-dir and its value is applied later 
than package-initialize is called? Or something similar.